

<app-list
    [items]="product$ | async"
    [totalRecords]="(product$ | async)?.length"
    [enableAdd]="false"
    [enableDateRange]="false"
    [backEndSearch]="false"
    [selectable]="true"
    [sortKey]="'name'"
    [sortOptions]="sortOptions"
    [listItemTemplate]="list"
    [gridItemTemplate]="grid"
    (deleteClicked)="onDeleteClicked($event)"
></app-list>


<ng-template #list let-item>
    <div class="grid grid-nogutter">
        <div class="col-12" >
            <div class="flex flex-column xl:flex-row xl:align-items-start p-4 gap-4" >
                <div class="flex flex-column sm:flex-row justify-content-between align-items-center xl:align-items-start flex-1 gap-4">
                    <div class="flex flex-column align-items-center sm:align-items-start gap-3">
                        <div class="text-2xl font-bold text-900">{{ item.name }}</div>
                        <p-rating [ngModel]="item.rating" [readonly]="true" [cancel]="false"></p-rating>
                        <div class="flex align-items-center gap-3">
                            <span class="flex align-items-center gap-2">
                                <i class="pi pi-tag"></i>
                                <span class="font-semibold">{{ item.category }}</span>
                            </span>
                        </div>
                    </div>
                    <div class="flex sm:flex-column align-items-center sm:align-items-end gap-3 sm:gap-2">
                        <span class="text-2xl font-semibold">{{ '$' + item.price }}</span>
                        <button pButton icon="pi pi-shopping-cart" class="md:align-self-end mb-2 p-button" [disabled]="item.inventoryStatus === 'OUTOFSTOCK'"></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>

<ng-template #grid let-item>
    <div class="card" style="width: 18rem;">
        <div class="card-body">
            
          <h5 class="card-title"><i class="pi pi-tag"></i>{{ item.category}} <br/> {{ item.inventoryStatus}}</h5>
          <div class="card-text">
            {{ item.name }} <br/> {{ item.description }}

            <p-rating [ngModel]="item.rating" [readonly]="true" [cancel]="false"></p-rating>
          </div>
          
          <div>
            {{ '$' + item.price }}
            <button pButton icon="pi pi-shopping-cart" class="md:align-self-end mb-2 p-button" [disabled]="item.inventoryStatus === 'OUTOFSTOCK'"></button>
          </div>
        </div>
    </div>
</ng-template>